<p class="topic">
Object Classes
</p>

<p class="text">
Use this tab to view information about all object classes that currently exist in your directory schema as well as create new object classes. You can also edit or delete an object class that you have created using this tab. You cannot edit or delete standard object classes. 
</p>

<p class="text">
<b>Parent. </b>Identifies the object class from which the object class currently selected in the Object Classes list inherits attributes and structure.
</p>

<p class="text">
<b>OID.</b> Object identifier (OID) for the object class selected in the Object Classes list. An OID is a string, usually of decimal numbers, that uniquely identifies an object, (such as an object class or an attribute) in an object-oriented system. If no OID is assigned, the directory automatically uses <span class="variable">ObjectClass_name</span><code>-oid</code>. For example, if you created the object class <code>division</code> without supplying an OID, the directory automatically uses <code>division-oid</code> as the OID.
</p>

<p class="text">
<b>Object Classes.</b> Contains a list of all the user-defined and standard object classes that currently exist in the schema.
</p>

<p class="text">
<b>Required Attributes. </b>Lists the required attributes for the object class selected in the Object Classes list. When you add an entry to the directory using this object class, you must add values for the required attributes to the entry. The list also includes inherited attributes.
</p>

<p class="text">
<b>Allowed Attributes. </b>Lists the optional attributes for the object class selected in the Object Classes list. When you add an entry to the directory using this object class, you may add values for the allowed attributes to the entry. The list also includes inherited attributes.
</p>

<p class="text">
<b>Create. </b>Click this button to create a new object class.
</p>

<p class="text">
<b>Edit. </b>To edit a user-defined object class, select it in the Object Classes list and then click Edit.
</p>

<p class="text">
<b>Delete. </b>Select a user-defined object class from the Object Classes list and then click Delete to delete it from the schema. You cannot delete the standard object classes that came with the directory.
</p>
